#!/usr/bin/python
# -*- coding:utf-8 -*-

from dom import *
import scorecard
import j1_2005_ns

def newInstance():
    return SuperSoccer_TBS_2005()

class SuperSoccer_TBS_2005( j1_2005_ns.JLeagueDivisionOneNS2005 ):
    def __init__( self ):
        scorecard.ScoreCard.__init__( self )
        self.gamesets = []
        return
        
    def getName( self ):
        return "最近サッカーの結果 (TBS/supersoccer)"

    def getVersion( self ):
        return "1.0"

    def getSportsCategory( self ):
        return "soccer"

    def getCountry( self ):
        return "Japan"

    def getURL( self ):
        return "http://www.tbs.co.jp/supers/"

    def getEncoding( self ):
        return 'iso-2022-jp'

    def getStartKeyword( self ):
        return "<!-- miniscore_START -->"

    def getEndKeyword( self ):
        return "<!-- miniscore_END -->"


    def getIcon( self, team ):
        if True: return j1_2005_ns.JLeagueDivisionOneNS2005.getIcon( self, team )
        if team == "鹿島": name = 'kashima'
        elif team == "広島": name = 'hiroshima'
        elif team == "Ｇ大阪": name = 'gosaka'
        elif team == "名古屋": name = 'nagoya'
        elif team == "千葉": name = 'chiba'
        elif team == "磐田": name = 'iwata'
        elif team == "大宮": name = 'omiya'
        elif team == "横浜" or team == "横浜FM": name = 'yokohamafm'
        elif team == "柏": name = 'kashiwa'
        elif team == "東京": name = 'fctokyo'
        elif team == "浦和": name = 'urawa'
        elif team == "東京Ｖ": name = 'tokyov'
        elif team == "Ｃ大阪": name = 'cosaka'
        elif team == "川崎Ｆ": name = 'kawasaki'
        elif team == "清水": name = 'shimizu'
        elif team == "神戸": name = 'kobe'
        elif team == "大分": name = 'oita'
        elif team == "新潟": name = 'niigata'
        elif team == "京都": name = 'kyoto'
        elif team == "鳥栖": name = 'tosu'
        elif team == "福岡": name = 'fukuoka'
        elif team == "札幌": name = 'sapporo'
        elif team == "仙台": name = 'sendai'
        elif team == "山形": name = 'yamagata'
        elif team == "草津": name = 'kusatsu'
        elif team == "徳島": name = 'tokushima'
        elif team == "甲府": name = 'kofu'
        elif team == "湘南": name = 'shonan'
        elif team == "横浜ＦＣ": name = 'yokohamafc'
        elif team == "水戸": name = 'mito'
        else: return ""

        try:
            uri = makelogo.getURI( 'http://www.j-league.or.jp/club/%s/images/emblem.gif' % name , 'jleague', '%s' % name )
            return '<td class="teamlogo"><img src="%s" class="logo"/></td>' % uri
        except:
            return ''
        pass
        

    def interpreteDocument( self, document ):
        import re, sys
        #print document
        elem_table = document.get_element_at_path( '/html/table' )
        self.gamesets = []
        gameset = None
        self.date = ""
        self.title = ""
        while elem_table != None:
            #print elem_table.get_text( ',' )
            items = elem_table.get_text( '<>' ).split( '<>' )
            if len( items ) >= 4 and gameset != None: # match
                gameset[ 'matches' ].append( ( items[ 0 ], items[ 1 ], items[ 2 ], items[ 3 ] ) )
            elif len( items ) == 1:
                if gameset != None:
                    self.gamesets.append( gameset )
                    pass
                gameset = { 'category': items[ 0 ], 'matches':[] }
            elif items[ -1 ].count( '更新' ) > 0:
                self.date = items[ -1 ]
                self.title = items[ 0 ]
                pass
            try:
                elem_table = elem_table.next_sibling( 'table' )
            except:
                break
            pass
        if gameset != None: self.gamesets.append( gameset )
        return
        
    def getDate( self ):
        if not self.date:
            return ""
        return self.date

    def toHTML( self ):
        import re, sys

        html = self.html_header()
        title = self.getName()
        html += "<body>"
        title = re.sub( "\([^\)]*\)$", "", title )

        if self.title:
            html += '<span class="tabletitle">%s</span><br/>\n' % self.title
            pass
        for gameset in self.gamesets:
            html += '<span class="category">%s</span>' % ( gameset[ 'category' ] )
            html += "<table>"
            for game in gameset[ 'matches' ]:
                lastcolumn = ""
                if len( game ) > 4:
                    lastcolumn = game[ 4 ]
                    pass
                team1 = self.getIcon( game[ 0 ] ) \
                        + '<td class="team">%s</td>' % game[ 0 ]
                team2 = '<td class="team">%s</td>' % game[ 2 ] \
                        + self.getIcon( game[ 2 ] )
                html += '<tr>%s<td class="score">%s</td>%s<td class=\"status\">%s</td></tr>\n' % ( team1, game[ 1 ], team2, game[ 3 ] )
                pass
            html += "</table>"
            pass
        html += "</body>"
        html += self.html_footer()
        return html

    def html_css_plugin( self ):
        return """<style type=\"text/css\">
        .score { width:80px; }
        </style>
        """
    pass

